<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:layout_width="match_parent"
    android:layout_height="match_parent">

    <androidx.core.widget.NestedScrollView
        android:layout_width="0dp"
        android:layout_height="0dp"
        android:background="@drawable/find_partner_table_bg"
        app:layout_constraintBottom_toTopOf="@id/bottom_barrier"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent">

        <androidx.constraintlayout.widget.ConstraintLayout
            android:id="@+id/cl_option"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginTop="8dp"
            android:padding="14dp"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toBottomOf="@id/rv_category">

            <!-- 性别 -->
            <include
                android:id="@+id/v_option_gender"
                layout="@layout/layout_find_partner_option"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toTopOf="parent" />

            <!-- 年龄 -->
            <include
                android:id="@+id/v_option_age"
                layout="@layout/layout_find_partner_option"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="12dp"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toBottomOf="@id/v_option_gender" />

            <!-- 区域 -->
            <include
                android:id="@+id/v_option_location"
                layout="@layout/layout_find_partner_option"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="12dp"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toBottomOf="@id/v_option_age" />

            <!-- 评分 -->
            <include
                android:id="@+id/v_option_evaluate"
                layout="@layout/layout_find_partner_option"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="12dp"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toBottomOf="@id/v_option_location" />

            <!-- 价格 -->
            <include
                android:id="@+id/v_option_price"
                layout="@layout/layout_find_partner_option"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="12dp"
                app:layout_constraintEnd_toEndOf="parent"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toBottomOf="@id/v_option_evaluate" />

        </androidx.constraintlayout.widget.ConstraintLayout>

    </androidx.core.widget.NestedScrollView>

    <androidx.constraintlayout.widget.Barrier
        android:id="@+id/bottom_barrier"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        app:barrierDirection="top"
        app:constraint_referenced_ids="btn_reset,btn_submit" />

    <androidx.appcompat.widget.AppCompatTextView
        android:id="@+id/btn_reset"
        android:layout_width="0dp"
        android:layout_height="44dp"
        android:layout_marginEnd="10dp"
        android:background="@drawable/find_partner_reset_btn_bg"
        android:gravity="center"
        android:text="@string/playmate_find_partner_reset"
        android:textColor="@color/color_FF4E5969"
        android:textSize="16sp"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintEnd_toStartOf="@id/btn_submit"
        app:layout_constraintHorizontal_weight="144"
        app:layout_constraintStart_toStartOf="parent" />

    <com.adealink.weparty.commonui.widget.CommonButton
        android:id="@+id/btn_submit"
        android:layout_width="0dp"
        android:layout_height="44dp"
        android:layout_marginTop="16dp"
        app:text="@string/playmate_find_partner_submit"
        app:textColor="@color/white"
        app:textSize="16sp"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintHorizontal_weight="190"
        app:layout_constraintStart_toEndOf="@id/btn_reset" />

</androidx.constraintlayout.widget.ConstraintLayout>